import { NgModule, ErrorHandler } from '@angular/core';
import { IonicApp, IonicModule, IonicErrorHandler } from 'ionic-angular';
import { MyApp } from './app.component';
import { LoginPage } from '../pages/login/login';
import { CreatePage } from '../pages/create/create';
import { ResetPage } from '../pages/reset/reset';
import { ViewPage } from '../pages/view/view';
import { ListPage } from '../pages/list/list';
import { Database } from '../providers/database';
import { ForgeInstance } from '../providers/forge';

@NgModule({
  declarations: [
    MyApp,
    LoginPage,
    CreatePage,
    ResetPage,
    ViewPage,
    ListPage
  ],
  imports: [
    IonicModule.forRoot(MyApp)
  ],
  bootstrap: [IonicApp],
  entryComponents: [
    MyApp,
    LoginPage,
    CreatePage,
    ResetPage,
    ViewPage,
    ListPage
  ],
  providers: [{provide: ErrorHandler, useClass: IonicErrorHandler}, Database, ForgeInstance]
})
export class AppModule {}
