import { Component } from '@angular/core';
import { NavController, NavParams } from 'ionic-angular';
import { Database } from "../../providers/database";
import { ViewPage } from "../view/view";
import { CreatePage } from "../create/create";

@Component({
    templateUrl: 'list.html',
})
export class ListPage {

    public passwordList: Array<Object>;

    public constructor(private navCtrl: NavController, private navParams: NavParams, private database: Database) {
        this.passwordList = [];
    }

    public ionViewDidEnter() {
        this.database.getPasswords().then((results) => {
            this.passwordList = <Array<Object>>results;
        }, (error) => {
            console.log("ERROR: ", error);
        });
    }

    public viewDetails(item: any) {
        this.navCtrl.push(ViewPage, {password: this.navParams.get("password"), id: item.id});
    }

    public create() {
        this.navCtrl.push(CreatePage, {password: this.navParams.get("password")});
    }

}