import { Component } from '@angular/core';
import { NavController } from 'ionic-angular';
import { Database } from "../../providers/database";
import { ListPage } from "../list/list";
import { ResetPage } from "../reset/reset";
import * as BcryptJS from "bcryptjs";

@Component({
    templateUrl: 'login.html',
})
export class LoginPage {

    public password: string;

    public constructor(private navCtrl: NavController, private database: Database) { }

    public ionViewDidEnter() {
        this.password = "";
    }

    public validate() {
        if(this.password != "") {
            this.database.getMaster().then((result: any) => {
                if(BcryptJS.compareSync(this.password, result.password)) {
                    this.navCtrl.push(ListPage, {password: this.password});
                }
            }, (error) => {
                console.log("ERROR: " + error);
            });
        }
    }

    public reset() {
        this.navCtrl.push(ResetPage);
    }

}