import { Component } from '@angular/core';
import { NavController } from 'ionic-angular';
import { Database } from "../../providers/database";
import * as BcryptJS from "bcryptjs";

@Component({
    templateUrl: 'reset.html',
})
export class ResetPage {

    public password: string;
    public confirmation: string;

    constructor(private navCtrl: NavController, private database: Database) {}

    public reset() {
        if(this.password != "" && this.confirmation != "") {
            if(this.password == this.confirmation) {
                this.database.deletePasswords().then((result) => {
                    return this.database.deleteMaster();
                }).then((result) => {
                    this.database.createMaster({
                        "password": BcryptJS.hashSync(this.password, 8)
                    }).then((result) => {
                        this.navCtrl.pop();
                    }, (error) => {
                        console.log("ERROR: ", error);
                    });
                }, (error) => {
                    console.log("ERROR: ", error);
                });
            }
        }
    }

}