import { Component } from '@angular/core';
import { NavController, NavParams } from 'ionic-angular';
import { Database } from "../../providers/database";
import { ForgeInstance } from "../../providers/forge";

@Component({
    templateUrl: 'view.html',
})
export class ViewPage {

    public passwordItem: any;

    constructor(private navCtrl: NavController, private navParams: NavParams, private database: Database, private forge: ForgeInstance) {
        this.passwordItem = {};
    }

    public ionViewDidEnter() {
        this.database.getPasswordById(this.navParams.get("id")).then((results: any) => {
            this.passwordItem.title = results.title;
            this.passwordItem.username = this.forge.decrypt(results.username, this.navParams.get("password"), results.salt, results.iv);
            this.passwordItem.password = this.forge.decrypt(results.password, this.navParams.get("password"), results.salt, results.iv);
        }, (error) => {
            console.log("ERROR: ", error);
        });
    }

}