import { Injectable } from '@angular/core';
import Forge from 'node-forge';

@Injectable()
export class ForgeInstance {

    public constructor() { }

    public generateSalt() {
        return Forge.util.encode64(Forge.random.getBytesSync(128));
    }

    public generateIv() {
        return Forge.util.encode64(Forge.random.getBytesSync(16));
    }

    public encrypt(message: string, password: string, salt: any, iv: any) {
        let key = Forge.pkcs5.pbkdf2(password, Forge.util.decode64(salt), 4, 16);
        let cipher = Forge.cipher.createCipher('AES-CBC', key);
        cipher.start({iv: Forge.util.decode64(iv)});
        cipher.update(Forge.util.createBuffer(message));
        cipher.finish();
        return Forge.util.encode64(cipher.output.getBytes());
    }

    public decrypt(cipherText: string, password: string, salt: string, iv: string) {
        let key = Forge.pkcs5.pbkdf2(password, Forge.util.decode64(salt), 4, 16);
        let decipher = Forge.cipher.createDecipher('AES-CBC', key);
        decipher.start({iv: Forge.util.decode64(iv)});
        decipher.update(Forge.util.createBuffer(Forge.util.decode64(cipherText)));
        decipher.finish();
        return decipher.output.toString();
    }

}